- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# FbxAnimUtilities::FbxAnimSplitDef Class Reference

Search for all occurrences

## Detailed Description

Definition at line 36 of file fbxanimutilities.h.

`#include <fbxanimutilities.h>`

List of all members.

## Public Member Functions
| FbxAnimSplitDef ()
| FbxAnimSplitDef (const FbxString &pName, FbxTime &pStart, FbxTime &pEnd)
FbxAnimSplitDef & | operator= (const FbxAnimSplitDef &pRhs)
## Public Attributes
FbxString | mName
FbxTime | mStart
FbxTime | mEnd

## Constructor & Destructor Documentation

FbxAnimSplitDef | ( |  | ) | `[inline]`

Definition at line 43 of file fbxanimutilities.h.

            {
                mName = "unnamed";
                mStart = 0;
                mEnd = 0;
            }

FbxAnimSplitDef | ( | const FbxString & | pName,
|  | FbxTime & | pStart,
|  | FbxTime & | pEnd
| ) |  | `[inline]`

Definition at line 50 of file fbxanimutilities.h.

            {
                mName = pName;
                mStart = pStart;
                mEnd = pEnd;
            }

## Member Function Documentation

FbxAnimSplitDef& operator= | ( | const FbxAnimSplitDef & | pRhs | ) | `[inline]`

Definition at line 57 of file fbxanimutilities.h.

            {
                mName = pRhs.mName;
                mStart = pRhs.mStart;
                mEnd = pRhs.mEnd;
            }

## Member Data Documentation

FbxString mName

Search for all occurrences

Definition at line 39 of file fbxanimutilities.h.

FbxTime mStart

Search for all occurrences

Definition at line 40 of file fbxanimutilities.h.

FbxTime mEnd

Search for all occurrences

Definition at line 41 of file fbxanimutilities.h.

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimutilities.h

FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef
FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef FbxAnimUtilities::FbxAnimSplitDef